# Google Mobile Ads SDK for Android

![Build status](https://github.com/googleads/googleads-mobile-android-examples/workflows/Build%20Status/badge.svg?branch=master)

The Google Mobile Ads SDK is the latest generation in Google mobile advertising,
featuring refined ad formats and streamlined APIs for access to mobile ad
networks and advertising solutions. The SDK enables mobile app developers to
maximize their monetization in native mobile apps.

This repository contains open source examples and developer resources for both
the Google AdMob and Google Ad Manager components of the Google Mobile Ads SDK.

# Google Mobile Ads SDK Developers forum

To report SDK feature requests, bugs, and crashes or to browse SDK-related
discussions, please use our [Google Mobile Ads SDK Developers forum](https://groups.google.com/forum/#!forum/google-admob-ads-sdk).
The forum provides the latest SDK announcements and updates as well as
technical SDK support for our [Android developers](https://groups.google.com/forum/#!categories/google-admob-ads-sdk/android).

# Documentation

Check out our [developers site](https://developers.google.com/admob/) for
documentation on using the Mobile Ads SDK.

# Examples

## AdMob

* App Open: [Java](https://github.com/googleads/googleads-mobile-android-examples/tree/master/java/admob/AppOpenExample), [Kotlin](https://github.com/googleads/googleads-mobile-android-examples/tree/master/kotlin/admob/AppOpenExample)
* Banner: [Java](https://github.com/googleads/googleads-mobile-android-examples/tree/master/java/admob/BannerExample), [Kotlin](https://github.com/googleads/googleads-mobile-android-examples/tree/master/kotlin/admob/BannerExample)
* Interstitial: [Java](https://github.com/googleads/googleads-mobile-android-examples/tree/master/java/admob/InterstitialExample), [Kotlin](https://github.com/googleads/googleads-mobile-android-examples/tree/master/kotlin/admob/InterstitialExample)
* Rewarded Interstitial: [Java](https://github.com/googleads/googleads-mobile-android-examples/tree/master/java/admob/RewardedInterstitialExample), [Kotlin](https://github.com/googleads/googleads-mobile-android-examples/tree/master/kotlin/admob/RewardedInterstitialExample)
* Rewarded Video: [Java](https://github.com/googleads/googleads-mobile-android-examples/tree/master/java/admob/RewardedVideoExample), [Kotlin](https://github.com/googleads/googleads-mobile-android-examples/tree/master/kotlin/admob/RewardedVideoExample)
* Native Advanced: [Java](https://github.com/googleads/googleads-mobile-android-examples/tree/master/java/admob/NativeAdvancedExample), [Kotlin](https://github.com/googleads/googleads-mobile-android-examples/tree/master/kotlin/admob/NativeAdvancedExample)

## Advanced

*   API Demo:
    [Java](https://github.com/googleads/googleads-mobile-android-examples/tree/master/java/advanced/APIDemo),
    [Kotlin](https://github.com/googleads/googleads-mobile-android-examples/tree/master/kotlin/advanced/APIDemo) -
    Provides additional examples for both AdMob and Ad Manager to help improve
    your mobile app integration of the Google Mobile Ads SDK.
*   Banner RecyclerView:
    [Java](https://github.com/googleads/googleads-mobile-android-examples/tree/master/java/advanced/BannerRecyclerViewExample) -
    Provides an example for displaying ads from AdMob Banner ads in a
    RecyclerView widget.

## Ad Manager

*   App Open:
    [Java](https://github.com/googleads/googleads-mobile-android-examples/tree/master/java/admanager/AppOpenExample),
    [Kotlin](https://github.com/googleads/googleads-mobile-android-examples/tree/master/kotlin/admanager/AppOpenExample)
*   Banner:
    [Java](https://github.com/googleads/googleads-mobile-android-examples/tree/master/java/admanager/BannerExample),
    [Kotlin](https://github.com/googleads/googleads-mobile-android-examples/tree/master/kotlin/admanager/BannerExample)
*   Interstitial:
    [Java](https://github.com/googleads/googleads-mobile-android-examples/tree/master/java/admanager/InterstitialExample),
    [Kotlin](https://github.com/googleads/googleads-mobile-android-examples/tree/master/kotlin/admanager/InterstitialExample)
*   Rewarded Interstitial:
    [Java](https://github.com/googleads/googleads-mobile-android-examples/tree/master/java/admanager/RewardedInterstitialExample),
    [Kotlin](https://github.com/googleads/googleads-mobile-android-examples/tree/master/kotlin/admanager/RewardedInterstitialExample)
*   Rewarded Video:
    [Java](https://github.com/googleads/googleads-mobile-android-examples/tree/master/java/admanager/RewardedVideoExample),
    [Kotlin](https://github.com/googleads/googleads-mobile-android-examples/tree/master/kotlin/admanager/RewardedVideoExample)
*   Native Ads:
    [Java](https://github.com/googleads/googleads-mobile-android-examples/tree/master/java/admanager/NativeAdsExample),
    [Kotlin](https://github.com/googleads/googleads-mobile-android-examples/tree/master/kotlin/admanager/NativeAdsExample)

# Downloads

Please check out our [releases](https://github.com/googleads/googleads-mobile-android-examples/releases)
for the latest downloads of our example apps.

# GitHub issue tracker

To file bugs, make feature requests, or suggest improvements for the
**Android example apps**, please use [GitHub's issue tracker](https://github.com/googleads/googleads-mobile-android-examples/issues).

For SDK support issues, please use the [Google Mobile Ads SDK Developers forum](https://groups.google.com/forum/#!forum/google-admob-ads-sdk).

# License

[Apache 2.0 License](http://www.apache.org/licenses/LICENSE-2.0.html)
